import React from 'react';
import PropTypes from 'prop-types';

export default function AgencyPerDayTableEntries ({array}) {
    if ( array !== undefined && array !== null && array.length > 0 ) {
        //iterate over array
        return array.map((item, index) => {
            return (
		<tr
		    key={index}
		>
		    <td>{item.agency_name}</td>
		    <td>{item.agency_id}</td>
		    <td>{item.route_id}</td>
		    <td>{item.route_short_name}</td>
		    <td>{item.timestamp_pgsql}</td>
		</tr>
	    );
        });
    }else{
	//data is empty
	return null;
    }
};

AgencyPerDayTableEntries.propTypes = {
    array: PropTypes.array
};
